# curatorStatus()

<table><thead><tr><th width="160">SDK</th><th>curatorStatus()</th></tr></thead><tbody><tr><td>Description</td><td>Check the curation status of a bid</td></tr><tr><td>Nature</td><td>Method of Class</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="136.33333333333331">Name</th><th width="169">Type</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>number</td><td>The index of bid</td></tr><tr><td>profileId</td><td>number</td><td>The curator’s Lens profile id</td></tr></tbody></table>

## Example Code

{% code fullWidth="false" %}

```typescript
import { CONSTANT, TakoOpenCuration } from 'tako-open-curation'

const tako = new TakoOpenCuration(CONSTANT.Network.TESTNET)
const lensOpenCuration = tako.lensOpenCuration

const result = await lensOpenCuration.curatorStatus(26, 72)
```

{% endcode %}

## Example Returns

```json
{ 
  description: 'in-progress',
  index: 27,
  profileId: 189,
  status: 3
}
```

```json
{
  description: 'no register info found',
  index: 1,
  profileId: 71,
  status: 0
}
```

```json
{
  description: 'unregistered',
  index: 27,
  profileId: 186,
  status: 4
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/sdk/curatorstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
